hpionIBMblade(1)

NAME
hpionIBMblade - An openhpi sample application that shows how two (2) openhpi plugins can be used to display and manage resources of an IBM Blade with Basedboard Management Controller (BMC).

SYNOPSIS
 hpionIBMblade [-D nn] [-N host[:port]] [-C <cfgfile>] [ -X ] [ -h ]
 hpionIBMblade [--domain nn] [--host=host[:port]] [--cfgfile=file] [--debug] [--help]

DESCRIPTION
 hpionIBMblade shows how two (2) openhpi plugins can be used to display
and manage resources of an IBM Blade with Basedboard Management Controller (BMC).

 Both the ipmi and snmp_bc plugin have the same IBM Blade target.  Resources from
both plugins are combined to show a complete view of the IBM Blade.

 @@ WARNING @@ RESTRICTIONS @@ WARNING @@ RESTRICTIONS @@ WARNING @@ RESTRICTIONS @@

 This client application is designed to run **only** inband on an IBM Blade with Basedboard
Management Controller (BMC)

If no domain or host is selected, hpionIBMblade uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SAMPLE CONFIGURATION FILE
    handler libipmi        {
        entity_root = "{SYSTEM_CHASSIS,2}"
        name = "smi"
        addr = 0
    }

    handler libsnmp_bc {
        host = "bc.mm.ip.address"
        version = "3"
        community = "bc_community"
        entity_root = "{SYSTEM_CHASSIS,1}"
        security_name = "myid"
        passphrase = "mypassword"
        security_level = "authNoPriv"
        auth_type = "MD5"
    }

SEE ALSO
         hpi_shell
         hpialarms      hpifan         hpireset       hpitop
         hpidomain      hpigensimdata  hpisensor      hpitree
         hpiel          hpiiinv        hpisettime     hpiwdt
         hpievents      hpipower       hpithres       hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)